#ifndef AUTOCOMPLETETAGEDITWIDGETFACTORY_H
#define AUTOCOMPLETETAGEDITWIDGETFACTORY_H
#include "IxWidgetFactory.h"

class AutoCompleteTagEditWidget;

class AutoCompleteTagEditWidgetFactory : public IxWidgetFactory
{
public:
    AutoCompleteTagEditWidgetFactory();

public:
    virtual void create(qx::IxDataMember *dataMember, QWidget *parent);

    virtual QString type() const;

    virtual QWidget *getWidget() const;

    virtual IxWidget *getIxWidget() const;

private:
    AutoCompleteTagEditWidget *widget;
};

#endif // AUTOCOMPLETETAGEDITWIDGETFACTORY_H
